For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
LogoLogo
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
Resources
Get started
Token

Resolve ID Token

POST
https://api.webflow.com/beta/token/resolve
POST
/beta/token/resolve
$curl -X POST https://api.webflow.com/beta/token/resolve \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "545bbecb7bdd6769632504a7",
3 "email": "someone@email.com",
4 "firstName": "Some",
5 "lastName": "One",
6 "siteId": "42e63e98c9a982ac9b8b741"
7}
Information about the authorized user derived from the resolved ID Token <Note>Access to this endpoint requires a bearer token from a [Data Client App](/data/docs/data-clients/getting-started).</Note> Required Scope | `authorized_user:read`
Was this page helpful?
Previous

List Sites

Next
Built with

Information about the authorized user derived from the resolved ID Token

Access to this endpoint requires a bearer token from a Data Client App.

Required Scope | authorized_user:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
idTokenstringOptional
The ID token created using the Designer API

Response

Request was successful
idstringformat: "objectid"
The unique ID of the user
emailstringformat: "email"
The user's email address
firstNamestring
The user's first name
lastNamestring
The user's last name
siteIdstring
The ID of the site associated with the user

Errors

4XX
Client Request Error
401
Unauthorized Error
403
Forbidden Error
5XX
Server Error